1. Polls
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
          POST
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
        POST
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. Polls

Create Polls

POST
https://backend.networked.co/api/v1/polls

📊 Create a Poll#

Allows a community owner or space admin to create a poll with options and a defined time window.

HTTP Method#

POST

Endpoint#

/api/v1/polls

Headers#

NameTypeRequiredDescription
x-api-keyString✅ YesSecret API key provided by Networked. Required for all API calls.
spaceIdString❌ NoRequired only if the poll is intended for a Space. Otherwise, defaults to Community Feed.

Body Parameters#

NameTypeRequiredDescription
headTextString✅ YesThe main question of the poll.
optionsArray✅ YesList of options for the poll. Each must contain a key and text.
startTimeNumber✅ YesPoll start time in Unix timestamp (milliseconds).
endTimeNumber✅ YesPoll end time in Unix timestamp (milliseconds).
communitiesArray✅ YesList of community IDs where the poll will be posted.
hideFromDiscoverBoolean❌ NoIf true, hides the poll from discovery/public feeds.

Sample Request#

{
  "headText": "What is the first month of an year ?",
  "options": [
    { "key": 0, "text": "March" },
    { "key": 1, "text": "January" },
    { "key": 2, "text": "April" }
  ],
  "startTime": 1750822340000,
  "endTime": 1750916120000,
  "communities": ["67ce86c3d12a8800120030dd"],
  "hideFromDiscover": true
}

Sample Response#

{
  "data": {
    "pollId": "685b750443e21f0012ecb365",
    "status": 1
  },
  "error": false,
  "message": "Success"
}

Response Interface#


Response Field Descriptions#

FieldTypeDescription
pollIdStringUnique identifier for the created poll.
statusNumberStatus of poll creation (typically 1 = successful).

Reference#

🔗 Response Codes

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/polls' \
--header 'x-api-key: <your-api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "headText": "What is the first month of an year ?",
    "options": [
        {
            "key": 0,
            "text": "March"
        },
        {
            "key": 1,
            "text": "January"
        },
        {
            "key": 2,
            "text": "April"
        }
    ],
    "startTime": 1750822340000,
    "endTime": 1750916120000,
    "communities": [
        "67959032bc6bea0012fdc671"
    ],
    "hideFromDiscover": true
}'
Response Response Example
{
    "data": {
        "pollId": "6874eeb6fa1f513a3cb94c37",
        "status": 4
    },
    "error": false,
    "message": "Operation completed successfully"
}
Modified at 2026-05-15 11:09:10
Previous
Feed
Next
Create Surveys
Built with